--
-- ADRESSE
--
ALTER TABLE GRHUM.ADRESSE ADD PERS_ID_CREATION NUMBER;

ALTER TABLE GRHUM.ADRESSE ADD PERS_ID_MODIFICATION NUMBER;

COMMENT ON COLUMN GRHUM.ADRESSE.PERS_ID_CREATION IS 'Pers_id de la personne à l''origine de la création de l''enregistrement';

COMMENT ON COLUMN GRHUM.ADRESSE.PERS_ID_MODIFICATION IS 'Pers_id de la personne à l''origine de la modification de l''enregistrement';

ALTER TABLE GRHUM.ADRESSE ADD (CONSTRAINT ADRESSE_REF_PERS_CREAT FOREIGN KEY (PERS_ID_CREATION) REFERENCES GRHUM.PERSONNE (PERS_ID) DEFERRABLE INITIALLY DEFERRED);

ALTER TABLE GRHUM.ADRESSE ADD (CONSTRAINT ADRESSE_REF_PERS_MODIF FOREIGN KEY (PERS_ID_MODIFICATION) REFERENCES GRHUM.PERSONNE (PERS_ID) DEFERRABLE INITIALLY DEFERRED);
